---
- name: Change APT Sources
  template:
    src: ubuntu_sources.list.j2
    dest: /etc/apt/sources.list
    owner: root
    group: root
    mode: '0644'
    backup: yes

- name: Aptitude Updates
  apt:
    update_cache: yes
    force_apt_get: yes
    cache_valid_time: 3600

- name: Aptitude Upgrade
  apt:
    upgrade: 'dist'
    force_apt_get: yes

- name: Check if a reboot is needed on all servers
  stat:
    path: /var/run/reboot-required
    get_md5: no
  register: reboot_required

- name: Reboot Machine
  reboot:
    msg: "Reboot initiated by Ansible for configuration updates"
    connect_timeout: 5
    reboot_timeout: 300
    pre_reboot_delay: 0
    post_reboot_delay: 30
    test_command: uptime
  when: reboot_required.stat.exists
